org.springframework.remoting.caucho

## Class SimpleBurlapServiceExporter

- java.lang.Object
- - org.springframework.remoting.support.RemotingSupport
  - - org.springframework.remoting.support.RemoteExporter
    - - org.springframework.remoting.caucho.BurlapExporter
      - - org.springframework.remoting.caucho.SimpleBurlapServiceExporter

All Implemented Interfaces:
  com.sun.net.httpserver.HttpHandler, Aware, BeanClassLoaderAware, InitializingBean

    public class SimpleBurlapServiceExporter
    extends BurlapExporter
    implements com.sun.net.httpserver.HttpHandler

HTTP request handler that exports the specified service bean as Burlap service endpoint, accessible via a Burlap proxy. Designed for Sun's JRE 1.6 HTTP server, implementing the `HttpHandler` interface.

Burlap is a slim, XML-based RPC protocol. For information on Burlap, see the Burlap website. This exporter requires Burlap 3.x.

Note: Burlap services exported with this class can be accessed by any Burlap client, as there isn't any special handling involved.

Since:
  2.5.1
Author:
  Juergen Hoeller
See Also:
  `BurlapClientInterceptor`, `BurlapProxyFactoryBean`, `SimpleHessianServiceExporter`, `SimpleHttpInvokerServiceExporter`

### Field Summary

### Fields inherited from class org.springframework.remoting.support.RemotingSupport

`logger`

### Constructor Summary

Constructors
Constructor and Description
`SimpleBurlapServiceExporter()`

### Method Summary

Methods
`void` `handle(com.sun.net.httpserver.HttpExchange exchange)` Processes the incoming Burlap request and creates a Burlap response.

### Methods inherited from class org.springframework.remoting.caucho.BurlapExporter

`afterPropertiesSet, invoke, prepare`

### Methods inherited from class org.springframework.remoting.support.RemoteExporter

`checkService, checkServiceInterface, getExporterName, getProxyForService, getService, getServiceInterface, setInterceptors, setRegisterTraceInterceptor, setService, setServiceInterface`

### Methods inherited from class org.springframework.remoting.support.RemotingSupport

`getBeanClassLoader, overrideThreadContextClassLoader, resetThreadContextClassLoader, setBeanClassLoader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleBurlapServiceExporter

    public SimpleBurlapServiceExporter()

### Method Detail

#### handle

    public void handle(com.sun.net.httpserver.HttpExchange exchange)
                throws IOException

Processes the incoming Burlap request and creates a Burlap response.

Specified by:
  `handle` in interface `com.sun.net.httpserver.HttpHandler`
Throws:
  `IOException`